Subject: bug#10443: [PATCH] Quote 'like this', not `like this'.

From: Stefano Lattarini <[email-masked]>
Date: Fri, 06 Jan 2012 11:00:45 +0100

tags 10443 notabug
thanks

Hi Paul, thanks for the patch.

Sorry if I start this review with a complain, but in the future, could you
please send patches that don't fix any existing bug to the automake-patches
list rather than to the bug-automake list, to avoid opening spurious bug
reports?  Thanks.

Apart from that (and assuming you have already re-run the whole testsuite
with your changes applied, which you have, right?), the patch is OK, modulo
two minor nits.  Feel free to push to master once they have been addressed.

The first nit is about the summary line of the commit message, since it
doesn't follow the preferred "topic: brief description" format; so I suggest
you change it from:
  "Quote 'like this', not `like this'."
to:
  scripts: quote 'like this', not `like this'
Thanks.

On 01/06/2012 09:30 AM, Paul Eggert wrote:
> This proposed patch follows up on recent changes to the GNU coding
> standards.  They now suggest that we should quote 'like this' or
> "like this" instead of `like this'; see
> <http://www.gnu.org/prep/standards/html_node/Quote-Characters.html>.
> 
> Gnulib is being changed accordingly, and Gnulib imports some files
> directly from Automake master, so here is a proposed patch to Automake
> master so that these files use the straight-up style.  This patch
> affects only commentary and quoting in diagnostics.
>
And here is the second nit.  This explanation is very good and clear, and
I think it should be placed in the git commit log (with obvious minor
edits).  E.g.:

  This change follows up on recent changes to the GNU coding standards.
  They now suggest that we should quote 'like this' or "like this" instead
  of `like this'; see:
   <http://www.gnu.org/prep/standards/html_node/Quote-Characters.html>.

  Gnulib is being changed accordingly, and Gnulib imports some files
  directly from Automake master, so we change those files to use the
  straight-up style.  This affects only commentary and quoting in
  diagnostics.

OK?

> From f78c4d9a1fc2705badae4ce4ebf46d5d1c8209e0 Mon Sep 17 00:00:00 2001
> From: Paul Eggert <[email-masked]>
> Date: Fri, 6 Jan 2012 00:24:26 -0800
> Subject: [PATCH] Quote 'like this', not `like this'.
> 
> ---
>  lib/ar-lib        |    2 +-
>  lib/compile       |   22 ++++++------
>  lib/depcomp       |   40 ++++++++++----------
>  lib/elisp-comp    |    8 ++--
>  lib/gnupload      |   12 +++---
>  lib/install-sh    |   10 +++---
>  lib/mdate-sh      |   12 +++---
>  lib/missing       |  102 ++++++++++++++++++++++++++--------------------------
>  lib/mkinstalldirs |    4 +-
>  lib/ylwrap        |    8 ++--
>  10 files changed, 110 insertions(+), 110 deletions(-)
> 
[SNIP]

Thanks,
  Stefano